Write ToDo web application without server.

Application should provide ability
* Add a task with title
* List tasks in sorted in reverse order by task title
* Edit a task
* Mark a task as completed
* Remove a task
* Persist tasks between working sessions (it could be LocalStorage)
Note: it is ok for customer if you do something quick and provide additionally features, but no penalty if you don't.

Business context:
* Goal is the time to market
* Be ready to change something minor fast in the future
Note: it's allowed to use code from internet and customise it to do the task quicker.

Non-Functional Requirements:
* Application should be written on JavaScript, frameworks is up to developer.
* This task should take no more than 6-8 working hours(it is better to be less).

* Additional plus if test task will be presented as git repository with history of changes. it could be located on github(preffered) or folder with .git metadata.